=== debian/changelog ===
ksnip (1.3.1-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Extend the long description.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 11 Apr 2017 17:35:28 -0700

ksnip (1.3.1-1dhor~zesty) zesty; urgency=medium

  * missing library fix

 -- Dariusz Duma <dhor@toxic.net.pl>  Sat, 01 Apr 2017 08:07:02 +0200

ksnip (1.3.0-1dhor~zesty) zesty; urgency=medium

  * Initial release

 -- Dariusz Duma <dhor@toxic.net.pl>  Tue, 21 Mar 2017 16:29:17 +0100
