=== debian/control ===
Source: ksnip
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Dariusz Duma <dhor@toxic.net.pl>
Build-Depends: debhelper (>=9), 
	libqt4-dev (>= 4.8),
	libqwt-dev , 
	cmake, 
	libx11-dev, 
	libxfixes-dev
Standards-Version: 3.9.6
Homepage: https://github.com/DamirPorobic/ksnip

Package: ksnip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Screenshot tool inspired by the Window Snipping Tool
 Ksnip is a Qt 4.8 based Linux screenshot tool inspired by the
 Windows Snipping Tool.
 .
 Features include:
  -Taking Screenshot of a custom rectangular area that can be drawn with
   mouse cursor.
  -Taking screenshot of the screen/monitor where the mouse cursor is currently
   located.
  -Taking screenshot of full screen, including all screens/monitors.
  -Taking screenshot of window that currently has focus.
  -Take screenshot with or without mouse cursor.
  -Customizable capture delay for all capture options.
  -Upload screenshots directly to imgur.com in anonymous or user mode.
  -Drawing on captured screenshot with two different tools, pen (opaque) and
   maker (semi-transparent).
  -Drawing two shapes ellipse and rectangle, with and without fill.
  -Customizable color and size (thickness) for drawing tools.
  -Writing text on screenshots, with customizable font, size, color etc.
  -Any drawing can be moved around without deleting it by simply dragging it
   to new location.
  -Cropping captured screensshot, including any drawing on the captured image.
  -Command line support, for taking screenshot and saving it to default
   location, filename and format.
  -Customizable default location, filename and format for saving new
   screenshots with wildcards for Year ($Y), Month ($M), Day ($D),
   and Time ($T).
  -Print screenshot or save is to prf/ps.
  -Undo/Redo for paint and crop operations.
  -Smooth out free hand pen and marker lines (can be disabled in settings).
