## ksnip 1.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,7 @@
                src/gui/SnippingArea.cpp
                src/gui/SettingsDialog.cpp
                src/gui/AboutDialog.cpp
+               src/helper/X11GraphicsHelper.cpp
                )
 
 SET(ksnip_RES icons/resources.qrc)
