=== debian/changelog ===
ksnip (1.3.2-1mx15+1) mx; urgency=medium

  * new release repackaged for MX Linux 15/16.

 -- Mike Purtell <mandbx@sbcglobal.net>  Sun, 10 Dec 2017 08:28:47 -0800
