=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ksnip
 Section: graphics
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
 Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Dariusz Duma <dhor@toxic.net.pl>
 Build-Depends: debhelper (>=9),
