=== desktop/CMakeLists.txt ===
# Add desktop file and desktop icon to target machine 

install(PROGRAMS ksnip.desktop DESTINATION /usr/share/applications)
install(FILES ksnip.png DESTINATION /usr/share/pixmaps)
