=== debian/changelog ===
ksnip (1.4.0-1mx17+1) mx; urgency=medium

  * New release repackaged for MX Linux.

 -- Mike Purtell <mandbx@sbcglobal.net>  Sun, 17 Dec 2017 12:06:01 -0800

ksnip (1.4.0~alpha+git20171125-0mx17+3) mx; urgency=medium

  * New release repackaged for MX Linux.

 -- Mike Purtell <mandbx@sbcglobal.net>  Sun, 10 Dec 2017 08:47:02 -0800

ksnip (1.4.0~alpha+git20171125-0mx17+2) mx; urgency=medium

  * Patched to function with composting disabled.

  * Revised rev to include 'alpha'.

 -- Mike Purtell <mandbx@sbcglobal.net>  Sun, 26 Nov 2017 09:39:33 -0800

ksnip (1.4.0-1mx15+1) mx; urgency=medium

  * Upgraded depends list for Qt5 and patched 
  * header SettingsPickerPopup.h file per 
  * authors instructions.

 -- Mike Purtell <mandbx@sbcglobal.net>  Thu, 23 Nov 2017 08:11:02 -0800
