=== debian/control ===
--- 
+++ 
@@ -4,12 +4,14 @@
 Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
 Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Dariusz Duma <dhor@toxic.net.pl>
-Build-Depends: debhelper (>=9), 
-	libqt4-dev (>= 4.8),
-	libqwt-dev , 
-	cmake, 
-	libx11-dev, 
-	libxfixes-dev
+Build-Depends: debhelper (>=10),
+                cmake  (>= 2.8.12),
+                extra-cmake-modules,
+                qtbase5-dev (>= 5.4.0),
+                qttools5-dev-tools (>= 5.4.0),
+                libqt5x11extras5-dev (>= 5.4.0),
+                libx11-dev,
+                libxfixes-dev
 Standards-Version: 3.9.6
 Homepage: https://github.com/DamirPorobic/ksnip
