=== debian/changelog ===
ksnip (1.5.0-1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.
  * New build depends libkcolorpicker-dev 
  * and libkimageannotator-dev.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 28 Feb 2019 15:59:23 -0800
