=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: ksnip
 Section: graphics
 Priority: optional
-Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
 Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Dariusz Duma <dhor@toxic.net.pl>
-Build-Depends: debhelper (>=10),
-                cmake  (>= 2.8.12),
-                extra-cmake-modules,
-                qtbase5-dev (>= 5.4.0),
-                qttools5-dev-tools (>= 5.4.0),
-                libqt5x11extras5-dev (>= 5.4.0),
-                libx11-dev,
-                libxfixes-dev
+Build-Depends: cmake  (>= 2.8.12), 
+               debhelper (>=11),
+               extra-cmake-modules,
+               libkcolorpicker (>=0.0.1),
+               libkimageannotator (>= 0.0.2),
+               libqt5x11extras5-dev (>= 5.6.0),
+               libx11-dev,
+               libxfixes-dev, 
+               qtbase5-dev (>= 5.6.0),
+               qttools5-dev-tools (>= 5.6.0),
 Standards-Version: 3.9.6
 Homepage: https://github.com/DamirPorobic/ksnip
