## ksnip 1.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,19 @@
 cmake_minimum_required(VERSION 3.5)
-project(ksnip LANGUAGES CXX VERSION 1.5.0)
+project(ksnip LANGUAGES CXX VERSION 1.6.0)
 
-if (DEFINED VERSION_SUFIX)
+if (DEFINED VERSION_SUFIX AND NOT "${VERSION_SUFIX}" STREQUAL "")
     set(KSNIP_VERSION_SUFIX "-${VERSION_SUFIX}")
 endif()
 
 set(KSNIP_VERSION "${PROJECT_VERSION}${KSNIP_VERSION_SUFIX}")
-set(KSNIP_LANG_INSTAL_DIR "/usr/share/ksnip/translations")
+
+if (WIN32)
+	set(KSNIP_LANG_INSTAL_DIR "translations")
+elseif (APPLE)
+	set(KSNIP_LANG_INSTAL_DIR "../Resources")
+elseif (UNIX)
+	set(KSNIP_LANG_INSTAL_DIR "/usr/share/ksnip/translations")
+endif ()
 
 configure_file(src/BuildConfig.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/BuildConfig.h)
 
@@ -22,7 +29,9 @@
 
 find_package(Qt5 ${QT_MIN_VERSION} REQUIRED Widgets Network Xml PrintSupport DBus)
 
-if (UNIX)
+if (WIN32)
+    find_package(Qt5 ${QT_MIN_VERSION} REQUIRED WinExtras)
+elseif (UNIX AND NOT APPLE)
     find_package(Qt5 ${QT_MIN_VERSION} REQUIRED X11Extras)
 
     # Without ECM we're unable to load XCB
@@ -31,11 +40,9 @@
 
     find_package(X11 REQUIRED)
     find_package(XCB COMPONENTS XFIXES)
-elseif(WIN32)
-    find_package(Qt5 ${QT_MIN_VERSION} REQUIRED WinExtras)
 endif ()
 
-set(KIMAGEANNOTATOR_MIN_VERSION "0.0.2")
+set(KIMAGEANNOTATOR_MIN_VERSION "0.1.0")
 find_package(kImageAnnotator ${KIMAGEANNOTATOR_MIN_VERSION} REQUIRED)
 
 set(BASEPATH "${CMAKE_SOURCE_DIR}")
