=== debian/changelog ===
ksnip (1.6.0-1mx19+2) mx; urgency=medium

  * Repackaged for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 15 Jun 2019 08:03:25 -0700

ksnip (1.6.0-1mx17+2) mx; urgency=medium

  * Added libkcolorpicker-dev & libkimageannotator-dev
  * to the depends list + version info.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 10 Jun 2019 14:06:08 -0700

ksnip (1.6.0-1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.
  * Increased libkimageannotator to (>= 0.1.0) in the depends list.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 08 Jun 2019 06:28:20 -0700
