=== debian/control ===
--- 
+++ 
@@ -7,21 +7,24 @@
 Build-Depends: cmake  (>= 2.8.12), 
                debhelper (>=11),
                extra-cmake-modules,
-               libkcolorpicker (>=0.0.1),
-               libkimageannotator (>= 0.0.2),
+               libkcolorpicker-dev (>=0.0.1),
+               libkimageannotator-dev (>= 0.1.0),
                libqt5x11extras5-dev (>= 5.6.0),
                libx11-dev,
                libxfixes-dev, 
                qtbase5-dev (>= 5.6.0),
-               qttools5-dev-tools (>= 5.6.0),
+#               qttools5-dev-tools (>= 5.6.0),
+               qttools5-dev (>= 5.6.0)
 Standards-Version: 3.9.6
 Homepage: https://github.com/DamirPorobic/ksnip
 
 Package: ksnip
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
+         libkcolorpicker-dev (>=0.0.1),
+         libkimageannotator-dev (>= 0.1.0)
 Description: Screenshot tool inspired by the Window Snipping Tool
- Ksnip is a Qt 4.8 based Linux screenshot tool inspired by the
+ Ksnip is a Qt 5 based Linux screenshot tool inspired by the
  Windows Snipping Tool.
  .
  Features include:
