## ksnip 1.6.1~prerelease

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,12 +7,14 @@
 
 set(KSNIP_VERSION "${PROJECT_VERSION}${KSNIP_VERSION_SUFIX}")
 
+include(GNUInstallDirs)
+
 if (WIN32)
 	set(KSNIP_LANG_INSTAL_DIR "translations")
 elseif (APPLE)
 	set(KSNIP_LANG_INSTAL_DIR "../Resources")
 elseif (UNIX)
-	set(KSNIP_LANG_INSTAL_DIR "/usr/share/ksnip/translations")
+	set(KSNIP_LANG_INSTAL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/ksnip/translations")
 endif ()
 
 configure_file(src/BuildConfig.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/BuildConfig.h)
@@ -42,7 +44,7 @@
     find_package(XCB COMPONENTS XFIXES)
 endif ()
 
-set(KIMAGEANNOTATOR_MIN_VERSION "0.1.0")
+set(KIMAGEANNOTATOR_MIN_VERSION "0.2.0")
 find_package(kImageAnnotator ${KIMAGEANNOTATOR_MIN_VERSION} REQUIRED)
 
 set(BASEPATH "${CMAKE_SOURCE_DIR}")
