=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 	${CMAKE_SOURCE_DIR}/src/main.cpp
 	${CMAKE_SOURCE_DIR}/src/backend/config/KsnipConfig.cpp
 	${CMAKE_SOURCE_DIR}/src/backend/config/KsnipConfigOptions.cpp
+	${CMAKE_SOURCE_DIR}/src/backend/config/SavePathProvider.cpp
 	${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/AbstractImageGrabber.cpp
 	${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/ImageGrabberFactory.cpp
 	${CMAKE_SOURCE_DIR}/src/backend/uploader/ImgurUploader.cpp
@@ -11,12 +12,14 @@
 	${CMAKE_SOURCE_DIR}/src/backend/CapturePrinter.cpp
 	${CMAKE_SOURCE_DIR}/src/backend/TranslationLoader.cpp
 	${CMAKE_SOURCE_DIR}/src/backend/ImageSaver.cpp
+	${CMAKE_SOURCE_DIR}/src/backend/KsnipCommandLine.cpp
+	${CMAKE_SOURCE_DIR}/src/backend/WatermarkImageLoader.cpp
 	${CMAKE_SOURCE_DIR}/src/common/helper/MathHelper.cpp
-	${CMAKE_SOURCE_DIR}/src/common/helper/CommandLineParserHelper.cpp
 	${CMAKE_SOURCE_DIR}/src/common/helper/MessageBoxHelper.cpp
+	${CMAKE_SOURCE_DIR}/src/common/helper/PathHelper.cpp
 	${CMAKE_SOURCE_DIR}/src/common/loader/IconLoader.cpp
 	${CMAKE_SOURCE_DIR}/src/common/handler/DelayHandler.cpp
-	${CMAKE_SOURCE_DIR}/src/common/formatter/PathHelper.cpp
+	${CMAKE_SOURCE_DIR}/src/common/provider/ScaledSizeProvider.cpp
 	${CMAKE_SOURCE_DIR}/src/widgets/CustomToolButton.cpp
 	${CMAKE_SOURCE_DIR}/src/widgets/CustomCursor.cpp
 	${CMAKE_SOURCE_DIR}/src/widgets/CursorFactory.cpp
@@ -25,6 +28,7 @@
 	${CMAKE_SOURCE_DIR}/src/widgets/CaptureModePicker.cpp
 	${CMAKE_SOURCE_DIR}/src/widgets/ColorButton.cpp
 	${CMAKE_SOURCE_DIR}/src/widgets/MainToolBar.cpp
+	${CMAKE_SOURCE_DIR}/src/widgets/KeySequenceLineEdit.cpp
 	${CMAKE_SOURCE_DIR}/src/gui/MainWindow.cpp
 	${CMAKE_SOURCE_DIR}/src/gui/snippingArea/AbstractSnippingArea.cpp
 	${CMAKE_SOURCE_DIR}/src/gui/snippingArea/SnippingAreaAdorner.cpp
@@ -36,23 +40,42 @@
 	${CMAKE_SOURCE_DIR}/src/gui/settingsDialog/ApplicationSettings.cpp
 	${CMAKE_SOURCE_DIR}/src/gui/settingsDialog/ImageGrabberSettings.cpp
 	${CMAKE_SOURCE_DIR}/src/gui/settingsDialog/ImgurUploaderSettings.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/settingsDialog/HotKeySettings.cpp
 	${CMAKE_SOURCE_DIR}/src/gui/settingsDialog/SettingsDialog.cpp
-	${CMAKE_SOURCE_DIR}/src/gui/AboutDialog.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/aboutDialog/AboutDialog.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/aboutDialog/AboutTab.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/aboutDialog/VersionTab.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/aboutDialog/AuthorTab.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/aboutDialog/DonateTab.cpp
 	${CMAKE_SOURCE_DIR}/src/gui/ImgurHistoryDialog.cpp
-	${CMAKE_SOURCE_DIR}/src/gui/keyboardShortcuts/GlobalKeyboardShortcut.cpp
-	${CMAKE_SOURCE_DIR}/src/gui/keyboardShortcuts/NativeKeyEventFilter.cpp
-	${CMAKE_SOURCE_DIR}/src/gui/keyboardShortcuts/AbstractKeyHandler.cpp
-	${CMAKE_SOURCE_DIR}/src/gui/keyboardShortcuts/KeyHandlerFactory.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/TrayIcon.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/GlobalHotKey.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/NativeKeyEventFilter.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/AbstractKeyHandler.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/KeyHandlerFactory.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/GlobalHotKeyHandler.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/HotKeyMap.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/DummyKeyHandler.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/operations/SaveOperation.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/operations/AddWatermarkOperation.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/operations/UpdateWatermarkOperation.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/operations/WatermarkImagePreparer.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/operations/CanDiscardOperation.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/operations/UploadOperation.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/operations/HandleUploadResponseOperation.cpp
+	${CMAKE_SOURCE_DIR}/src/gui/operations/NotifyOperation.cpp
 	)
 
 if (APPLE)
 	set(KSNIP_SRCS
-			${KSNIP_SRCS}
-			${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/MacImageGrabber.cpp
-			${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/MacWrapper.cpp
-			${CMAKE_SOURCE_DIR}/src/gui/snippingArea/MacSnippingArea.cpp
-			${CMAKE_SOURCE_DIR}/src/gui/keyboardShortcuts/DummyKeyHandler.cpp
-			)
+		${KSNIP_SRCS}
+		${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/MacImageGrabber.cpp
+		${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/MacWrapper.cpp
+		${CMAKE_SOURCE_DIR}/src/gui/snippingArea/MacSnippingArea.cpp
+		${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/DummyKeyHandler.cpp
+		${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/MacKeyHandler.cpp
+		${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/KeySequenceToMacKeyCodeTranslator.cpp
+		)
 elseif (UNIX)
     set(KSNIP_SRCS
 		${KSNIP_SRCS}
@@ -62,8 +85,10 @@
 		${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/GnomeWaylandImageGrabber.cpp
 		${CMAKE_SOURCE_DIR}/src/common/platform/PlatformChecker.cpp
 		${CMAKE_SOURCE_DIR}/src/common/platform/CommandRunner.cpp
+		${CMAKE_SOURCE_DIR}/src/common/platform/DesktopScaleFactorProvider.cpp
 		${CMAKE_SOURCE_DIR}/src/gui/snippingArea/LinuxSnippingArea.cpp
-		${CMAKE_SOURCE_DIR}/src/gui/keyboardShortcuts/DummyKeyHandler.cpp
+		${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/X11KeyHandler.cpp
+		${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/KeySequenceToX11KeyCodeTranslator.cpp
 		)
 elseif (WIN32)
 	set(KSNIP_SRCS
@@ -71,7 +96,8 @@
 		${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/WinImageGrabber.cpp
 		${CMAKE_SOURCE_DIR}/src/backend/imageGrabber/WinWrapper.cpp
 		${CMAKE_SOURCE_DIR}/src/gui/snippingArea/WinSnippingArea.cpp
-		${CMAKE_SOURCE_DIR}/src/gui/keyboardShortcuts/WinKeyHandler.cpp
+		${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/WinKeyHandler.cpp
+		${CMAKE_SOURCE_DIR}/src/gui/globalHotKeys/KeySequenceToWinKeyCodeTranslator.cpp
 		)
 endif ()
 
@@ -121,5 +147,15 @@
 endif ()
 
 if (UNIX AND NOT APPLE)
-	install(TARGETS ksnip RUNTIME DESTINATION /usr/bin)
+	install(TARGETS ksnip RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
+
+    # uninstall target
+    if(NOT TARGET uninstall)
+        configure_file(
+            "${CMAKE_CURRENT_SOURCE_DIR}/../cmake/cmake_uninstall.cmake.in"
+            "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
+            IMMEDIATE @ONLY)
+
+        add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
+    endif ()
 endif ()
