=== translations/CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,20 @@
 find_package(Qt5LinguistTools)
 
 set(KSNIP_LANG_TS
+	ksnip_cs.ts
+	ksnip_da.ts
 	ksnip_de.ts
 	ksnip_es.ts
+	ksnip_eu.ts
 	ksnip_fr.ts
 	ksnip_gl.ts
 	ksnip_id.ts
+	ksnip_it.ts
+	ksnip_ja.ts
 	ksnip_nl.ts
 	ksnip_no.ts
 	ksnip_pl.ts
+	ksnip_pt.ts
 	ksnip_ru.ts
 	ksnip_tr.ts
 	ksnip_uk.ts)
