=== debian/changelog ===
ksnip (1.6.1~prerelease-1mx19+2) mx; urgency=medium

  * Updated kColorPicker & kImageAnnotator revisions.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 22 Feb 2020 05:42:36 -0800

ksnip (1.6.1~prerelease-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 21 Feb 2020 17:11:43 -0800
