=== debian/changelog ===
ksnip (1.6.1-1mx19+1) mx; urgency=medium

  * Updated kimageannotator version requirement for new release.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 01 Mar 2020 05:31:38 -0800
