=== debian/changelog ===
ksnip (1.6.2-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 24 May 2020 08:52:05 -0700
