=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper (>=11),
                extra-cmake-modules,
                libkcolorpicker-dev (>=0.1.1),
-               libkimageannotator-dev (>= 0.2.1~),
+               libkimageannotator-dev (>= 0.2.1),
                libqt5x11extras5-dev (>= 5.6.0),
                libx11-dev,
                libxfixes-dev, 
@@ -22,7 +22,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
          libkcolorpicker-dev (>=0.1.1),
-         libkimageannotator-dev (>= 0.2.1~)
+         libkimageannotator-dev (>= 0.2.1)
 Description: Screenshot tool inspired by the Window Snipping Tool
  Ksnip is a Qt 5 based Linux screenshot tool inspired by the
  Windows Snipping Tool.
